#! /bin/python
# -*- coding:utf-8 -*-

import sqlite3,urllib
con = sqlite3.connect("data/data.db")
cur=con.cursor()
import cgi,sys
reload(sys)
sys.setdefaultencoding('utf-8')

print "Content-Type: text/html;charset=UTF-8"

html="""
<head>
<meta http-equiv="content-type" content="text/html; charset=UTF-8" />
<meta http-equiv="Content-style-Type" content="text/css" />
<meta http-equiv="Page-Enter" content="blendTrans(Duration=0.8)" />
<link rel="shortcut icon" href="image/favicon.ico" />
<link rel="stylesheet" href="css/common.css" type="text/css" />
<title>『PSO2』動画コンテスト2018勝手に特設サイト</title>
</head>
<body>
<div id="wrapper">
   <div id="menu">
      <h1 class="title">『PSO2』動画コンテスト2018<br>勝手に特設サイト</h1>
      <ul>
      <li><a href="index.html">特設サイトTOP</a></li>
      <li><a href="https://dodomore.tokyo">私のブログトップへ</a></li>
      
      </ul>
   </div><!-- menu end -->
   <div id="contents"><h2>リンクについて</h2>
   サムネイルや動画タイトルを押すと、ニコニコ動画に飛べます。<br>
   このままログインせず見たい人は、サムネイル右下か下の「このサイトで見る」をクリックしてください。<h2>
"""

code1="""
<iframe width="312" height="240" src="https://ext.nicovideo.jp/thumb/sm
"""

code2="""
" scrolling="no" style="border:solid 1px #ccc;" frameborder="0"><a href="movie.py?id=
"""
code3="""
"> 
"""
code4="""
 </a></iframe>
"""

p=cgi.FieldStorage()

sql=u'select id,title from movie where title like "%s"' % ("%" + p.getvalue("kwd") + "%")

cur.execute(sql)
infom=cur.fetchall()

print html,p.getvalue("kwd")+"</h2>"
print_l=""

for p,q in infom:
	print_l+="<br>"+code1+p+code2+p+code3+q+code4
	print_l+="<a href=\"movie.py?id="+p+"\">"+"このサイトで見る"+"</a>"

print print_l
con.close()

print """
</div><!-- contents end -->
   <div id="footer">
      designed by <a href="http://www.coolwebwindow.com/">CoolWebWindow</a> / material <a href="http://shimizumari.com/fuwa2li/">ふわふわ。り</a><br />
   </div><!-- footer end -->
</div><!-- wrapper end -->
</body>
</html>
"""

